package com.ghy.system.mapper;

import com.ghy.system.domain.SysGlobalConfig;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @Author: 但星霖
 * @Date: 2023-11-08 16:12
 * @Version: 1.0
 * @Description: 系统配置表数据库访问层
 */
@Mapper
public interface SysGlobalConfigMapper {

    /**
     * 数据新增数据，支持数组，单数据。
     *
     * @param sysGlobalConfigs 系统配置数据数组
     * @return 新增的数量信息
     */
    Integer creates(@Param("sysGlobalConfigs") SysGlobalConfig... sysGlobalConfigs);

    // 根据主键id修改
    Integer updateById(@Param("sysGlobalConfig") SysGlobalConfig sysGlobalConfig);

    // 根据主键id查询
    SysGlobalConfig selectById(@Param("id") Long id);

    // 根据主键id删除
    Integer deleteById(@Param("id") Long id);

    // 根据类型查询
    SysGlobalConfig loadByConfigType(@Param("configType") Integer configType);

    // 根据名称校验数据
    SysGlobalConfig vailName(@Param("name") String name);
}
